Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API endpoint, version, and data format details
https://gateway.iotex.ai
v1
POST
https://gateway.iotex.ai/v1/chat/completions
GET
https://gateway.iotex.ai/v1/models
Authorization: Bearer your-api-key Content-Type: application/json
from openai import OpenAI client = OpenAI( api_key="your-api-key", base_url="https://gateway.iotex.ai/v1" )
import OpenAI from "openai"; const client = new OpenAI({ apiKey: "your-api-key", baseURL: "https://gateway.iotex.ai/v1" });
curl https://gateway.iotex.ai/v1/chat/completions \ -H "Authorization: Bearer your-api-key" \ -H "Content-Type: application/json" \ -d '{"model": "gemini-2.5-flash", "messages": [{"role": "user", "content": "Hello"}]}'